<span>{{topic.name}}</span> 
<button mat-icon-button aria-label="Edit" (click)="editTopic($event, topic)">
    <mat-icon>edit</mat-icon>
</button>  
<button mat-icon-button aria-label="Delete" (click)="deleteTopic($event, topic)">
    <mat-icon>delete</mat-icon>
</button>
<mat-card>
    <div class="ml-1" *ngFor="let reference of references | async">
        <a href="https://{{reference.link}}">{{reference.name}}</a>
        <button mat-icon-button aria-label="Edit" (click)="editReference($event, reference)">
            <mat-icon>edit</mat-icon>
        </button>  
        <button mat-icon-button aria-label="Delete" (click)="deleteReference($event, reference)">
            <mat-icon>delete</mat-icon>
        </button>
    </div>
    <button mat-mini-fab matTooltip="add reference" class="black-icon"
             aria-label="Add" (click)="addReference($event)">
             <mat-icon>add</mat-icon>
    </button>
</mat-card>
